<template>
  <li
    class="font-bold text:pink"
    :class="{ 'set-zindex': zIndex }"
    @mouseover="setZindex"
    @mouseleave="removeZindex"
  >
    <slot />
  </li>
</template>

<script>
export default {
  data() {
    return { zIndex: false };
  },
  methods: {
    setZindex() {
      this.zIndex = true;
    },
    removeZindex() {
      this.zIndex = false;
    }
  }
};
</script>

<style lang="scss" scoped>
@import "~@/assets/scss/globals/_colors.scss";
li {
  position: relative;
  text-transform: uppercase;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.1;
  letter-spacing: -0.5px;
  font-size: 1.625rem;
  @media all and (min-width: 375px) {
    font-size: 2.1rem;
  }
  @media all and (min-width: 414px) {
    line-height: 1;
    font-size: 2.25rem;
  }
  @media all and (min-width: 1280px) {
    // font-size: 2.25rem;
    font-size: 3.75rem;
  }
  @media all and (min-width: 1920px) {
    font-size: 5rem;
  }
}
.set-zindex {
  z-index: 10;
}
</style>
